using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_GuangGao_GuangGao_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加广告", "网站后台", "增加广告", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            增加广告();
        else
            初始化();
    }

    private void 初始化()
    {
        DataSet 数据=new DataSet();
        SqlCommand 语句 = new SqlCommand("SELECT [ID],[分类名称] FROM [" + 程序.数据表前缀 + "其它_广告_分类] ORDER BY [ID]", 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, "广告分类");

        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            GuangGaoFenLei.Items.Add(new ListItem(行["分类名称"].ToString(), 行["ID"].ToString()));
        }
    }

    private void 增加广告()
    {
        访问.验证权限("39");
        if (GuangGaoFenLei.SelectedValue == "")
            throw new Exception("请选择广告分类");
        int 所属分类 = Convert.ToInt32(GuangGaoFenLei.SelectedValue);
        String 广告名称 = GuangGaoMingChen.Text;
        String 广告类型 = GuangGaoLeiXing_0.Checked ? "链接" : "代码";
        String 链接标题 = LianJieBiaoTi.Text;
        String 链接地址 = LianJieDiZhi.Text;
        String 图片地址 = TuPianDiZhi.Text;
        String 代码内容 = DaiMaNeiRong.Text;

        设置 广告内容 = new 设置("");
        广告内容["链接标题"] = 链接标题;
        广告内容["链接地址"] = 链接地址;
        广告内容["图片地址"] = 图片地址;
        广告内容["代码内容"] = 代码内容;
        if (广告名称 == "")
            throw new Exception("广告名称不能为空");

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"其它_广告_广告");

        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "其它_广告_广告]([ID],[所属分类],[广告名称],[广告类型],[广告内容])" +
            "VALUES(" + ZGID + ",@所属分类,@广告名称,@广告类型,@广告内容)", 访问.连接);
        语句.Parameters.Add("@所属分类", SqlDbType.Int).Value = 所属分类;
        语句.Parameters.Add("@广告名称", SqlDbType.NVarChar).Value = 广告名称;
        语句.Parameters.Add("@广告类型", SqlDbType.NVarChar).Value = 广告类型;
        语句.Parameters.Add("@广告内容", SqlDbType.NVarChar).Value = 广告内容.生成XML();
        语句.ExecuteNonQuery();

        更新缓存数据 更新数据 = new 更新缓存数据(this.Context, 访问.连接);
        更新数据.广告_更新广告();

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("增加广告", 访问.用户["昵称"].ToString());

        Response.Redirect("GuangGaoGuanLi.aspx");
    }
}
